GENLIST.MAN.1(1p)

NAME
 Genlist - ping scanner

SYNOPSIS
 genlist [Input Type] [Scan Options] [General Options]

DESCRIPTION
 Genlist is a program that returns a list of hosts that responding
 to ping probes. Thus, this list can be used to perform an scan of
 these machines using PBNJ or Nmap.

 Apart of PBNJ 2.0 suite of tools to monitor changes on a network.

OPTIONS
 Usage: genlist [Input Type] [General Options]
 Input Type:
   -s  --scan <target>      Ping Target Range ex: 10.0.0.\*

 Scan Options:
   -n  --nmap <path>        Path to Nmap executable
       --inter <interface>  Perform scan using non default interface

 General Options:
   -v  --version            Display version
   -h  --help               Display this information

 Send Comments to Joshua D. Abraham ( jabra@ccs.neu.edu )

EXAMPLE OF GENLIST USED WITH PBNJ
 $ ./genlist -s 10.0.0.\* > iplist

 $ sudo ./scanpbnj -i iplist

EXAMPLE OF GENLIST USED WITH NMAP
 $ ./genlist -s 10.0.0.\* > iplist

 $ sudo ./nmap -iL iplist

INPUT TYPE

  -s <target> Ping Target Range ex: 10.0.0.*
 The ping scan is a useful method of only scanning the host that are
 responding to ICMP echo requests. This scan basically takes the host
 that respond to ping and prints them. This is useful in combining
 the result with a PBNJ or Nmap scan because no time is wasted in
 scanning hosts that do not respond.

SCAN OPTIONS

  --interface <intface>
 This option sets an alternative interface for performing the scan.
 This is useful when you have multiple interfaces on a machine
 with restrictions on which devices can access certain IP ranges.

  -n --nmap <path>
 Use an alternative Nmap rather than Nmap located in the your  path.
 This is useful if you have multiple version of Nmap installed on
 a system or if you are testing a new version of Nmap. Remember that if
 you are using a newly compiled version of Nmap that you need to
 export NMAPDIR to the location that Nmap was compiled in. Thus, if
 you have compiled Nmap in your homedir, use the following notation to
 run it with Genlist:

 $ export NMAPDIR=$HOME/nmap-VERSION/

 $ sudo genlist -s 10.0.0.\* --nmap $HOME/nmap-VERISON/

General Options:

  -v --version
 Prints the Genlist version number and exits.

  -h --help Display this information
 Prints a short help screen with the most common command flags.
 Running Genlist without any arguments does the same thing.

FEATURE REQUESTS
 Any feature requests should be reported to the online
 feature-request-tracking system available on the web at :
 http://sourceforge.net/tracker/?func=add&group_id=149390&atid=774489
 Before requesting a feature, please check to see if the features has
 already been requested.

BUG REPORTS
 Any bugs found should be reported to the online bug-tracking system
 available on the web at :
 http://sourceforge.net/tracker/?func=add&group_id=149390&atid=774488.
 Before reporting bugs, please check to see if the bug has already been
 reported.

 When reporting PBNJ bugs, it is important to include a reliable way to
 reproduce the bug, version number of PBNJ and Nmap, OS
 name and version, and any relevant hardware specs. And of course,
 patches to rectify the bug are even better.

SEE ALSO
 scanpbnj(1) outputpbnj(1), nmap(1)

AUTHORS
 Joshua D. Abraham ( jabra@ccs.neu.edu )

LEGAL NOTICES
 This program is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 General Public License for more details at
 http://www.gnu.org/copyleft/gpl.html, or in the COPYING file included
 with PBNJ.

 It should also be noted that PBNJ has occasionally been known to crash
 poorly written applications, TCP/IP stacks, and even operating systems.
 While this is extremely rare, it is important to keep in mind.  PBNJ
 should never be run against mission critical systems unless you are
 prepared to suffer downtime. We acknowledge here that PBNJ may crash
 your systems or networks and we disclaim all liability for any damage
 or problems PBNJ could cause.